package DAO;

import jakarta.persistence.EntityTransaction;
import jakarta.persistence.Query;
import metier.Utilisateur;

public class UtilisateurDAO extends GenericDAOImpl<Integer, Utilisateur>{
    public UtilisateurDAO() {
        super();
        this.setClass(Utilisateur.class);
    }

    public int findByEmail(String email){
        EntityTransaction t=em.getTransaction();
        t.begin();
        Query query=em.createQuery("select u from Utilisateur u where u.email=:email");
        query.setParameter("email",email);
        Utilisateur u=(Utilisateur)query.getSingleResult();
        t.commit();
        return u.getId();
    }
}
